Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticmapreduce.model
Class BootstrapActionDetail

    java.lang.Object
      com.amazonaws.services.elasticmapreduce.model.BootstrapActionDetail

    public class BootstrapActionDetail

extends Object

Reports the configuration of a bootstrap action in a job flow.

Constructor Summary
`BootstrapActionDetail()`

Method Summary
`BootstrapActionConfig` | `getBootstrapActionConfig()` A description of the bootstrap action.
`void` | `setBootstrapActionConfig(BootstrapActionConfig bootstrapActionConfig)` A description of the bootstrap action.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`BootstrapActionDetail` | `withBootstrapActionConfig(BootstrapActionConfig bootstrapActionConfig)` A description of the bootstrap action.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BootstrapActionDetail

    public BootstrapActionDetail()

Method Detail

### getBootstrapActionConfig

    public BootstrapActionConfig getBootstrapActionConfig()

  A description of the bootstrap action.

  Returns:
    A description of the bootstrap action.

### setBootstrapActionConfig

    public void setBootstrapActionConfig(BootstrapActionConfig bootstrapActionConfig)

  A description of the bootstrap action.

  Parameters:
    `bootstrapActionConfig` - A description of the bootstrap action.

### withBootstrapActionConfig

    public BootstrapActionDetail withBootstrapActionConfig(BootstrapActionConfig bootstrapActionConfig)

  A description of the bootstrap action.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `bootstrapActionConfig` - A description of the bootstrap action.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.